package com.usky.demo.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.demo.domain.SysUser;
import com.usky.demo.service.SysUserService;
import com.usky.demo.service.impl.SysUserServiceImpl;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 用户信息表 前端控制器
 * </p>
 *
 * @author ya
 * @since 2022-04-20
 */
@RestController
@RequestMapping("/sysUser")
public class SysUserController {


    @Autowired
    private SysUserService sysUserService;

    @RequestMapping("/list")
    public ApiResult<List<SysUser>> getList(){
        return ApiResult.success(sysUserService.list());
    }
}

